/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 3.35 or later
*(C)*
*(C)* Copyright (c) 1994 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

#ifndef MATDATH__
#define MATDATH__
#ifdef MPW
#ifdef MPW3
#pragma segment Readdata
#else
#define __SEG__ Readdata
#endif /*MPW3*/
#endif /*MPW*/

#ifdef ERRORMSGS
#define FPRINTF(A) fprintf A
#else
#define FPRINTF(A)
#endif

#define MAXFMT   MAXLINE
#define MAXN     50
#define MAXNAME  20

#define SPACE   0x20
#define TAB     0x09
#define NL      0x0a
#define CR      0x0d

#define COMMENTSTART ')' /* initial character on comment line */
#define FORMATSTART '(' /* initial character on Fortran format line */

#ifdef READDATA__
/* following should have exactly MAXN "%lf"'s */

static char DefaultFormat[] = "%lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf %lf" ;
#endif /*READDATA__*/

#define NOERROR     0
#define OPENERROR  -1
#define NOTFOUND   -2
#define BADHEADER  -3
#define NODATA     -4
#define TWOFORMATS -5
#define SHORTDATA  -6
#define BADFORMAT  -7
#define NOFIELDS   -8
#define NTOOBIG    -9
#define BADMALLOC -10
#define NOLINES   -11
#define NOMACRO   -12

#endif /*MATDATH__*/
