/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 3.35 or later
*(C)*
*(C)* Copyright (c) 1994 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

#ifdef MPW
#ifdef MPW3
#pragma segment Readdata
#else
#define __SEG__ Readdata
#endif /*MPW3*/
#endif /*MPW*/

#include <stdio.h>
#include "globals.h"
#include "matdat.h"
#include "dbug.h"

/*
	decode fields in LINE, returning the number of fields successfully
	decoded by sscanf
*/

long readLine(fmt,nSkip,x)
char *fmt;
long nSkip;
double *x;
{
	long nRead;
	long isAllWhite();
	WHERE("readLine");

#ifndef lint /* lint crashes on the following (too many args) */
	nRead = (isAllWhite(*LINE)) ? 0 : sscanf(*LINE+nSkip,fmt,
		x   ,x+ 1,x+ 2,x+ 3,x+ 4,x+ 5,x+ 6,x+ 7,x+ 8,x+ 9,
		x+10,x+11,x+12,x+13,x+14,x+15,x+16,x+17,x+18,x+19,
		x+20,x+21,x+22,x+23,x+24,x+25,x+26,x+27,x+28,x+29,
		x+30,x+31,x+32,x+33,x+34,x+35,x+36,x+37,x+38,x+39,
		x+40,x+41,x+42,x+43,x+44,x+45,x+46,x+47,x+48,x+49);
#else /*lint*/
	nRead = (isAllWhite(*LINE)) ? 0 : sscanf(*LINE+nSkip,fmt,
		x   ,x+ 1,x+ 2,x+ 3,x+ 4,x+ 5,x+ 6,x+ 7,x+ 8,x+ 9,
		x+10,x+11,x+12,x+13,x+14,x+15,x+16,x+17,x+18,x+19,
		x+20,x+21,x+22,x+23,x+24,x+25,x+26,x+27,x+28,x+29,
		x+30,x+31,x+32,x+33,x+34,x+35,x+36,x+37,x+38,x+39);
#endif /*lint*/
	return nRead;
}


long isAllWhite(line)
char *line;
{
	long n = MAXLINE;

	while(*line && n-- > 0)
	{
		if(*line != SPACE && *line != TAB && *line != NL && *line != CR)
		{
			return 0;
		}
		line++;
	}
	return 1;
}
