/*
*(C)* The file is part of the source distribution of MacAnova
*(C)* version 3.35 or later
*(C)*
*(C)* Copyright (c) 1994 by Gary Oehlert and Christopher Bingham
*(C)* unless indicated otherwise
*(C)*
*(C)* You may give out copies of this software;  for conditions see the
*(C)* file COPYING included with this distribution
*(C)*
*(C)* This file is distributed WITHOUT ANY WARANTEE; without even
*(C)* the implied warantee of MERCHANTABILITY or FITNESS FOR
*(C)* A PARTICULAR PURPOSE
*(C)*
*/

#ifndef UNXPROTOH__
#define UNXPROTOH__
#ifndef NOPROTOTYPES
/* main.c */
int main(int /*argc*/,char ** /*argv*/);
void doMacanova(void);
int doBatch(Char * /*fileName*/,int /*echo*/);
int doRestore(Char * /*fileName*/);
void closeBatch(long /*all*/);
int getinput(void);
#ifdef COMMANDLINE
int doBatch(char * /*fileName*/, int /*echo*/);
#endif /*COMMANDLINE*/
/* unxhandl.c */
void **myFindHandle(void ** /*h*/);
void **myNewHandle(long /*n*/);
void myDisposHandle(void **/*name*/);
void **mySetHandleSize(void **/*name*/, long /*newn*/);
void **myDupHandle(void **/*name*/);
long myGetHandleSize(void **/*h*/);
void myHLock(void **/*h*/);
void myHUnlock(void **/*h*/);
void *myNewPtr(long /*n*/);
void myDisposePtr(void */*p*/);
void setWarehouseLimits(long /*standard*/);
void myInitHandles(void);
/* unxio.c */
#ifdef ACTIVEUPDATE
void     saveForUpdate(char * /*msg*/);
void     updateConsole(void);
void     activeUpdateInit(void);
#endif /*ACTIVEUPDATE*/
void incrementNLINES(char * /*msg*/);
void mypause(void);
void fmyprint(Char */*msg*/, FILE */*fp*/);
void fmyeol(FILE */*fp*/);
void fmyflush(FILE */*fp*/);
void mybeep(long /*n*/);
int fillLINE(FILE */*fn*/);
void putprompt(Char */*prompt*/);
Char *expandFilename(Char */*fname*/);
long isfilename(Char */*fname*/);
#ifdef MSDOS
Char *get_dataPath(void);
#endif /*MSDOS*/
#else /*NOPROTOTYPES*/
/* main.c */
int main(/*int argc,char ** argv*/);
void doMacanova(/*void*/);
int doBatch(/*char * fileName,int echo*/);
int  doRestore(/*char * fileName*/);
void closeBatch(/*long all*/);
int getinput(/*void*/);
#ifdef COMMANDLINE
int doBatch(/*char * fileName, int echo*/);
#endif /*COMMANDLINE*/
/* unxhandl.c */
void **myFindHandle(/*void ** h, void *** next, void *** prev*/);
void setNextEntry(/* void ** next, void ** prev*/);
void **myNewHandle(/*long n*/);
void myDisposHandle(/*void **name*/);
void **mySetHandleSize(/*void **name, long newn*/);
long myGetHandleSize(/*void **h*/);
void HLock(/*char **ch*/);
void HUnlock(/*void **ch*/);
void *myNewPtr(/*long n*/);
void myDisposePtr(/*void *p*/);
void setWarehouseLimits(/*long standard*/);
void myInitHandles(/*void*/);
/* unxio.c */
#ifdef ACTIVEUPDATE
void     saveForUpdate(/*char * msg*/);
void     updateConsole(/*void*/);
void     activeUpdateInit(/*void*/);
#endif /*ACTIVEUPDATE*/
void incrementNLINES(/*char *msg*/);
void mypause(/*void*/);
void fmyprint(/*char *msg, FILE *fp*/);
void fmyeol(/*FILE *fp*/);
void fmyflush(/*FILE *fp*/);
void mybeep(/*long n*/);
int fillLINE(/*FILE *fn*/);
void putprompt(/*char *prompt*/);
char *expandFilename(/*char *fname*/);
long isfilename(/*char *fname*/);
#ifdef MSDOS
char *get_dataPath(/*void*/);
#endif /*MSDOS*/
#endif /*NOPROTOTYPES*/

#endif /*UNXPROTOH__*/
